org.apache.myfaces.trinidad.context

## Enum AccessibilityProfile.FontSize

- java.lang.Object
- - java.lang.Enum<AccessibilityProfile.FontSize>
  - - org.apache.myfaces.trinidad.context.AccessibilityProfile.FontSize

- All Implemented Interfaces:
    Serializable, Comparable<AccessibilityProfile.FontSize>
  Enclosing class:
    AccessibilityProfile

      public static enum AccessibilityProfile.FontSize
      extends Enum<AccessibilityProfile.FontSize>

  Font size values. Note that the font size property is not used to define a specific (eg. pixel-based) font size, but rather to provide a hint that the use may prefer larger fonts. The physical font size to use is specified by the skin.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LARGE` Font size value for users who prefer larger font sizes.
    `MEDIUM` Font size value for users who prefer the default (medium) font sizes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccessibilityProfile.FontSize` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccessibilityProfile.FontSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LARGE

          public static final AccessibilityProfile.FontSize LARGE

      Font size value for users who prefer larger font sizes.

    - #### MEDIUM

          public static final AccessibilityProfile.FontSize MEDIUM

      Font size value for users who prefer the default (medium) font sizes.

  - ### Method Detail

    - #### values

          public static AccessibilityProfile.FontSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessibilityProfile.FontSize c : AccessibilityProfile.FontSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessibilityProfile.FontSize valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.